> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thanks.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Radius Search

> This call will purchase a radius search mailing listing and add it to your account. Each record added to the mailing list costs $.05. You can specify the number of records to return (up to 10,000) and the address/postal code to center the search around. You can also specify a mailing_list_id to add the results to an existing mailing list, or leave it blank to create a new mailing list.



## OpenAPI

````yaml post /mailing-lists-utils/buy-radius-search
openapi: 3.1.0
info:
  title: thanks.io API
  description: >-
    Use the thanks.io API to send postcards, letters, notecards, windowless
    letters, and gift cards.
  contact:
    url: https://www.thanks.io
    email: support@thanks.io
  version: 1.0.0
servers:
  - url: https://api.thanks.io/api/v2
    description: The main API server for thanks.io
security:
  - bearerAuth: []
tags:
  - name: Recipients
  - name: Mailing Lists
  - name: Send Mailer
  - name: Orders
  - name: Message Templates
  - name: Image Templates
  - name: Handwriting Styles
  - name: Giftcards
  - name: Dynamic Images
    description: ''
  - name: Image Builder
  - name: Sub Accounts
externalDocs:
  description: Learn more about thanks.io
  url: https://docs.thanks.io
paths:
  /mailing-lists-utils/buy-radius-search:
    post:
      tags:
        - Mailing Lists
      summary: Radius Search
      description: >-
        This call will purchase a radius search mailing listing and add it to
        your account. Each record added to the mailing list costs $.05. You can
        specify the number of records to return (up to 10,000) and the
        address/postal code to center the search around. You can also specify a
        mailing_list_id to add the results to an existing mailing list, or leave
        it blank to create a new mailing list.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - address
                - postal_code
                - record_count
              properties:
                mailing_list_id:
                  type: integer
                  example: 1
                  description: >-
                    ID of the mailing list to add the radius search results to. 
                    If not provided, a new mailing list will be created.
                address:
                  type: string
                  example: 123 Main Street
                  description: Street address to use for center of nearest neighbor search.
                postal_code:
                  type: string
                  example: '55555'
                  description: Postal code to use for center of nearest neighbor search.
                record_count:
                  type: integer
                  description: Number of nearest neighbors to search for.
                  minimum: 1
                  maximum: 10000
                  example: 1
                record_types:
                  type: string
                  description: Which type of records to search for
                  enum:
                    - all
                    - likelytomove
                    - likelytorefi
                    - absenteeowner
                    - highnetworth
                    - majorityhomeequity
                    - homefreeclear
                    - underwater
                    - kidsinhousehold
                    - newhomeowner
                    - firsttimehomebuyer
                    - renters
                    - retiring
                    - retired
                    - pool
                    - onlybusinesses
                    - newbusiness
                  default: all
                include_condos:
                  type: boolean
                  description: Include condos in search.
                  default: false
                append_data:
                  type: boolean
                  description: >-
                    Append phone and email to each record for an additional fee
                    ($.20 per record).
                  default: false
                use_property_owner:
                  type: boolean
                  description: >-
                    Use Property Owners Address when searching for a commercial
                    record_type.
                  default: false
                include_search_address:
                  type: boolean
                  description: >-
                    Specifies whether to include the search address in the
                    mailing list created.
            examples:
              Create New List w/ Phone+Email Append:
                value:
                  address: 123 Main Street
                  postal_code: '55555'
                  record_types: all
                  record_count: 10
                  include_condos: false
                  append_data: true
              Append To Existing List w/ Condos:
                value:
                  address: 123 Main Street
                  postal_code: '55555'
                  record_types: all
                  record_count: 10
                  include_condos: true
                  append_data: false
                  mailing_list_id: 3020
      responses:
        '200':
          description: Successful Response
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: success
                  mailing_list_id:
                    type: integer
                    example: 1196
                  failure:
                    type: boolean
                    example: false
              example:
                message: success
                mailing_list_id: 1196
                failure: false
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: No neighbors could be found with search parameters.
                  failure:
                    type: boolean
                    example: true
        '403':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  responses:
    Unauthorized:
      description: Access token is missing or invalid
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Unauthorized
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Not Found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication using your thanks.io API key

````